"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const weather = require("weather-js");
function load(jumpFm) {
    function update() {
        const location = jumpFm.settings.getStr('weatherLocation', 'Haifa, IL');
        weather.find({
            search: location,
            degreeType: 'C'
        }, (err, res) => {
            if (err) {
                console.log(err);
                return;
            }
            const cur = res[0].current;
            const temp = cur.temperature;
            const type = temp < 25 ? 'info' : (temp < 35 ? 'warn' :
                'err');
            jumpFm.statusBar.msg('weather')
                .setType(type)
                .setText(`${cur.temperature}°`)
                .setTooltip(`${location} ${cur.temperature}° ${cur.humidity}% ${cur.windspeed.replace(/ /g, '')}`);
        });
    }
    update();
    setInterval(update, 36000);
}
exports.load = load;
//# sourceMappingURL=index.js.map